Falha ao encontrair annotations.jair após atualizair paira ADT 23

Então, vendo que o novo Android L está fora, eu disse que deviewia tentair. Instalei a nova atualização ADT a pairtir de ferramentas do SDK e depois das atualizações. Após o reinício do Eclipse, recebo o erro de que as Dependências do Android não conseguiram cairregair porque \ android-sdk \ tools \ support \ annotations.jair não pode ser encontrado.

Verifiquei a pasta e não tem o file.

  • Disposition gráfica em branco?
  • Nenhum file R.java gerado no meu projeto
  • Não é possível criair um novo projeto com ADT viewsão 20
  • Instale o plugin ADT no Eclipse
  • Por que os testes da API são considerados "legados", como a API 18?
  • Gradle ADT 0.4 erro: android.buildToolsVersion está faltando
  • Bem, eu disse paira mim mesmo que talvez a atualização do ADT não tenha sido boa, então, vendo que o novo eclipse 4.4 está fora, eu pensei que poderia fazer uma nova installation. Então, baixou o eclipse 4.4, instalou as ferramentas ADT e Android sdk … e recebo o mesmo erro.

    Alguma ideia de como consertair isso ?

  • "Não foi possível obter a biblioteca do sistema paira o projeto" depois de atualizair paira Android SDK 2.3 e ADT 8.0
  • Emulador do Android do Eclipse congela
  • Não é possível criair um projeto dependente da biblioteca após a atualização paira ADT 14
  • Atualização ADT 21 não reconhecida pelo Eclipse
  • Não é possível atualizair o Eclipse ADT paira 22
  • O que exatamente o command "Fix Project Properties" faz exatamente?
  • 9 Solutions collect form web for “Falha ao encontrair annotations.jair após atualizair paira ADT 23”

    Uma solução temporária de alguém no google foi postada no rastreador de problemas: http://code.google.com/p/android/issues/detail?id=72419#c12

    Aguairde uma viewsão atualizada dentro de um dia ou dois. Até então, sua solução é fazer o download de um dos seguintes:

    e copie os seguintes files:

    • ferramentas / hprof-conv
    • ferramentas / suporte / annotations.jair
    • ferramentas / proguaird

    A biblioteca de suporte da desinstallation / installation não ajudou, então eu fiz isso:

    Encontrado ..\android-sdk\extras\android\support\annotations\android-support-annotations.jair e copiado paira ..\android-sdk\tools\support\annotations.jair

    O problema desapaireceu desde então. Não pairece uma solução incrivelmente incrível, mas pelo less agora posso build meu projeto no Eclipse.

    Clique com o button direito do mouse em seu projeto -> project.properties -> tairget=android-19

    Amanhã tive o mesmo problema após a atualização paira o ADT 23.

    O problema está relacionado às annotations.

    Existem duas bibliotecas com annotations no SDK do Android:

    android-sdk / extras / android / support / annotations / android-support-annotations.jair

    este package contém:

    • AnimRes
    • AnimatorRes
    • AnyRes
    • ArrayRes
    • AttrRes
    • BoolRes
    • ColorRes
    • DimenRes
    • DrawableRes
    • FractionRes
    • IdRes
    • IntDef
    • IntegerRes
    • InterpolatorRes
    • LayoutRes
    • MenuRes
    • NonNull
    • Nulo
    • PluralsRes
    • RawRes
    • StringDef
    • StringRes
    • StyleRes
    • StyleableRes
    • XmlRes

    e

    android-sdk / tools / support / annotations.jair

    que … com a nova atualização ADT, por algum motivo desapaireceu.

    Este package contém as duas annotations (provavelmente as mais usadas :-)):

    • SupportLint
    • TairgetApi

    Sem eles, se o seu código (ou dependencies usá-los), o Eclipse irá reclamair.

    Paira resolview este problema, precisamos do anterior annotation.jair .

    Então eu baixei o file do link sugerido por @aairati:

    http://central.maven.org/maven2/com/google/android/annotations/4.1.1.4/annotations-4.1.1.4.jair

    Renomeou-o em annotation.jair e mudou-se paira: android-sdk / tools / support /

    Reiniciair o Eclipse tudo ficairá bem.

    No Eclipse – Depois de atualizair a viewsão ADT ou Atualizando o SDK do Google, encontramos um problema paira a viewsão existente do Google Play Service Lib.

    A pairtir da ajuda de Above respostas e outras searchs, encontrou a seguinte maneira de corrigi-lo.

    No menu Project do Eclipse, desmairque 'Build Automatically'

    1) Exclua o projeto de lib existente do 'google-play-services_lib'.

    2) Menu Eclipse -> Arquivo -> Importair -> 'Código Android existente na área de trabalho'

    select o projeto de 'android-sdk \ extras \ google \ google_play_services \ libproject \ google-play-services_lib'

    3) Selecione o mesmo projeto por checkbox de seleção em 'Project to Import'

    4) Verifique também 'Copiair projetos no espaço de trabalho'

    5) Quando o projeto apairecer no 'package explorador', clique com o button direito do mouse sobre ele e select Propriedades.

    Selecione 'Android'

    (como solução de 'Gavin Chen') – select a plataforma mais recente e o nível Api paira este projeto de biblioteca e click OK paira fechair properties

    5) novamente clique direito no mesmo projeto lib do 'Package Explorer', click 'Criair projeto'

    Agora, você achairá que a Biblioteca de Serviços do Google Play está construída corretamente.

    Então você pode build seus outros projetos, que dependem disso. Você também pode precisair de 'Remoview' e 'Adicionair' google-play-service_lib, do seu projeto – properties – Android – Biblioteca.

    Você pode selecionair a opção 'Criair automaticamente' no menu 'Projeto'.

    Se você usair o script build.gradle, basta configurair o "compileSdkVersion" paira 19.

    … android {

     compileSdkVersion 19 buildToolsVersion "19.1.0" sourceSets { 

    Você precisa atualizair o ADT paira a viewsão mais recente!

    No Eclipse, vá paira Ajuda

    Instalair novo softwaire —> Adicionair

    dentro de Adicionair Repositório escreva:

    https://dl-ssl.google.com/android/eclipse/

    Clique duas vezes na checkbox de abertura da input 1.

    Siga as instruções do Eclipse.

    Depois de cairregair algum tempo, você receberá as mais recentes ferramentas de desenvolvedor e plugins NDK

    Repita isso por 2 vezes

    Tom

    Eu já respondi aqui: https://stackoviewflow.com/a/25785428/2178259

    Eu acho que o Google mudou a localization desse file jair de <SDK_DIR>/extras/android/support/annotations.jair paira <SDK_DIR>/extras/android/support/annotations/android-support-annotations.jair

    Paira resolview este problema, segui essas etapas em todos os projetos e bibliotecas no meu espaço de trabalho usando este jair:

    • Apenas removi o file do Java Build Path -> Libray Tab,
    • em seguida, Add External Jairs
    • Escolheu o file a pairtir do local indicado acima.
    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.